Index: /palm/trunk/SOURCE/random_function.f90
===================================================================
--- /palm/trunk/SOURCE/random_function.f90	(revision 1319)
+++ /palm/trunk/SOURCE/random_function.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -34,7 +40,4 @@
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
-! Revision 1.3  2003/10/29 09:06:57  raasch
-! Former function changed to a module.
-!
 ! Revision 1.1  1998/02/04 16:09:45  raasch
 ! Initial revision
@@ -47,4 +50,6 @@
 !------------------------------------------------------------------------------!
 
+    USE kinds
+
     IMPLICIT NONE
 
@@ -53,5 +58,6 @@
     PUBLIC random_function, random_function_ini
 
-    INTEGER, PUBLIC, SAVE ::  random_iv(32), random_iy
+    INTEGER(iwp), PUBLIC, SAVE ::  random_iv(32)  !:
+    INTEGER(iwp), PUBLIC, SAVE ::  random_iy      !:
 
     INTERFACE random_function_ini
@@ -79,12 +85,22 @@
        IMPLICIT NONE
 
-       INTEGER ::  ia, idum, im, iq, ir, ndiv, ntab
-       REAL    ::  am, eps, random_function, rnmx
+       INTEGER(iwp) ::  ia               !:
+       INTEGER(iwp) ::  idum             !:
+       INTEGER(iwp) ::  im               !:
+       INTEGER(iwp) ::  iq               !:
+       INTEGER(iwp) ::  ir               !:
+       INTEGER(iwp) ::  ndiv             !:
+       INTEGER(iwp) ::  ntab             !:
+
+       INTEGER(iwp) ::  j                !:
+       INTEGER(iwp) ::  k                !:
+
+       REAL(wp)     ::  am               !:
+       REAL(wp)     ::  eps              !:
+       REAL(wp)     ::  random_function  !:
+       REAL(wp)     ::  rnmx             !:
 
        PARAMETER ( ia=16807, im=2147483647, am=1.0/im, iq=127773, ir=2836, &
                    ntab=32, ndiv=1+(im-1)/ntab, eps=1.2e-7, rnmx=1.0-eps )
-
-       INTEGER ::  j, k
-
 
        IF ( idum .le. 0  .or.  random_iy .eq. 0 )  THEN
Index: /palm/trunk/SOURCE/random_gauss.f90
===================================================================
--- /palm/trunk/SOURCE/random_gauss.f90	(revision 1319)
+++ /palm/trunk/SOURCE/random_gauss.f90	(revision 1320)
@@ -20,6 +20,12 @@
 ! Current revisions:
 ! -----------------
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 ! 
-!
 ! Former revisions:
 ! -----------------
@@ -30,7 +36,4 @@
 !
 ! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.4  2006/08/04 15:01:48  raasch
-! Range of random number is limited by an upper limit (new second parameter)
 !
 ! Revision 1.1  1998/03/25 20:09:47  raasch
@@ -44,10 +47,21 @@
 !------------------------------------------------------------------------------!
 
-    USE random_function_mod
+    USE kinds
+
+    USE random_function_mod,                                                   &
+        ONLY:  random_function
 
     IMPLICIT NONE
 
-    INTEGER :: idum, iset
-    REAL    :: fac, gset, random_gauss, rsq, upper_limit, v1, v2
+    INTEGER(iwp) ::  idum          !:
+    INTEGER(iwp) ::  iset          !:
+
+    REAL(wp)     ::  fac           !:
+    REAL(wp)     ::  gset          !:
+    REAL(wp)     ::  random_gauss  !:
+    REAL(wp)     ::  rsq           !:
+    REAL(wp)     ::  upper_limit   !:
+    REAL(wp)     ::  v1            !:
+    REAL(wp)     ::  v2            !:
 
     SAVE  iset, gset
Index: /palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/read_3d_binary.f90	(revision 1319)
+++ /palm/trunk/SOURCE/read_3d_binary.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -46,56 +52,4 @@
 ! +z0h, z0h_av
 !
-! 776 2011-10-31 08:02:51Z heinze
-! bugfix: increase binary_version due to last commit
-!
-! 771 2011-10-27 10:56:21Z heinze
-! +lpt_av
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! +/- 1 replaced with +/- nbgp when swapping and allocating variables.
-! Bugfix: When using initializing_actions = 'cyclic_fill' in some cases
-! not the whole model domain was filled with data of the prerun.
-!
-! 410 2009-12-04 17:05:40Z letzel
-! format changed in test output from I2 to I4
-!
-! 367 2009-08-25 08:35:52Z maronga
-! Output of messages replaced by message handling routine.
-! +shf_av, qsws_av
-!
-! 220 2008-12-18 07:00:36Z raasch
-! reading mechanism completely revised (subdomain/total domain size can vary
-! arbitrarily between current and previous run)
-! Bugfix: reading of spectrum_x|y from restart files ignored if total numbers
-! of grid points do not match
-!
-! 150 2008-02-29 08:19:58Z raasch
-! Files from which restart data are to be read are determined and subsequently
-! opened. The total domain on the restart file is allowed to be smaller than
-! the current total domain. In this case it will be periodically mapped on the
-! current domain (needed for recycling method).
-! +call of user_read_restart_data, -dopr_time_count,
-! hom_sum, volume_flow_area, volume_flow_initial moved to read_var_list,
-! reading of old profil parameters (cross_..., dopr_crossindex, profile_***)
-! removed, initialization of spectrum_x|y removed
-!
-! 102 2007-07-27 09:09:17Z raasch
-! +uswst, uswst_m, vswst, vswst_m
-!
-! 96 2007-06-04 08:07:41Z raasch
-! +rho_av, sa, sa_av, saswsb, saswst
-!
-! 73 2007-03-20 08:33:14Z raasch
-! +precipitation_amount, precipitation_rate_av, rif_wall, u_m_l, u_m_r, etc.,
-! z0_av
-!
-! 19 2007-02-23 04:53:48Z raasch
-! +qswst, qswst_m, tswst, tswst_m
-! 
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.4  2006/08/04 15:02:32  raasch
-! +iran, iran_part
-!
 ! Revision 1.1  2004/04/30 12:47:27  raasch
 ! Initial revision
@@ -107,42 +61,106 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
+    USE arrays_3d,                                                             &
+        ONLY:  e, kh, km, p, pt, q, ql, qc, nr, nrs, nrsws, nrswst, qr, qrs,   &
+               qrsws, qrswst, qs, qsws, qswst, sa, saswsb, saswst, rif,        &
+               rif_wall, shf, ts, tswst, u, u_m_l, u_m_n, u_m_r, u_m_s, us,    &
+               usws, uswst, v, v_m_l, v_m_n, v_m_r, v_m_s, vpt, vsws, vswst,   &
+               w, w_m_l, w_m_n, w_m_r, w_m_s, z0, z0h
+
     USE averaging
-    USE cloud_parameters
-    USE control_parameters
-    USE cpulog
-    USE indices
-    USE particle_attributes
+
+    USE cloud_parameters,                                                      &
+        ONLY:  prr, precipitation_amount
+
+    USE control_parameters,                                                    &
+        ONLY:  iran, humidity, passive_scalar, cloud_physics, cloud_droplets,  &
+               icloud_scheme, message_string, outflow_l, outflow_n, outflow_r, &
+               outflow_s, precipitation, ocean, topography
+
+    USE cpulog,                                                                &
+        ONLY:  cpu_log, log_point_s
+
+    USE indices,                                                               &
+        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, nx_on_file, ny, nys, nysg, nyn, &
+               nyng, ny_on_file, nzb, nzt
+
+    USE kinds
+
+    USE particle_attributes,                                                   &
+        ONLY:  iran_part
+
     USE pegrid
-    USE profil_parameter
-    USE random_function_mod
-    USE statistics
+
+    USE random_function_mod,                                                   &
+        ONLY:  random_iv, random_iy
+
+    USE statistics,                                                            &
+        ONLY:  spectrum_x, spectrum_y
+
 
     IMPLICIT NONE
 
     CHARACTER (LEN=5)  ::  myid_char_save
-    CHARACTER (LEN=10) ::  binary_version, version_on_file
+    CHARACTER (LEN=10) ::  binary_version
+    CHARACTER (LEN=10) ::  version_on_file
     CHARACTER (LEN=20) ::  field_chr
 
-    INTEGER ::  files_to_be_opened, i, j, k, myid_on_file,                    &
-                numprocs_on_file, nxlc, nxlf, nxlpr, nxl_on_file, nxrc, nxrf, &
-                nxrpr, nxr_on_file, nync, nynf, nynpr, nyn_on_file, nysc,     &
-                nysf, nyspr, nys_on_file, nzb_on_file, nzt_on_file, offset_x, &
-                offset_y, shift_x, shift_y
-
-    INTEGER, DIMENSION(numprocs_previous_run) ::  file_list, overlap_count
-
-    INTEGER, DIMENSION(numprocs_previous_run,1000) ::  nxlfa, nxrfa, nynfa, &
-                                                       nysfa, offset_xa, &
-                                                       offset_ya
-    REAL ::  rdummy
-
-    REAL, DIMENSION(:,:), ALLOCATABLE     ::  tmp_2d
-    REAL, DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3d, tmp_3dwul, tmp_3dwun,    &
-                                              tmp_3dwur, tmp_3dwus, tmp_3dwvl, &
-                                              tmp_3dwvn, tmp_3dwvr, tmp_3dwvs, &
-                                              tmp_3dwwl, tmp_3dwwn, tmp_3dwwr, &
-                                              tmp_3dwws
-    REAL, DIMENSION(:,:,:,:), ALLOCATABLE ::  tmp_4d
+    INTEGER(iwp) ::  files_to_be_opened  !:
+    INTEGER(iwp) ::  i                   !:
+    INTEGER(iwp) ::  j                   !:
+    INTEGER(iwp) ::  k                   !:
+    INTEGER(iwp) ::  myid_on_file        !:
+    INTEGER(iwp) ::  numprocs_on_file    !:
+    INTEGER(iwp) ::  nxlc                !:
+    INTEGER(iwp) ::  nxlf                !:
+    INTEGER(iwp) ::  nxlpr               !:
+    INTEGER(iwp) ::  nxl_on_file         !:
+    INTEGER(iwp) ::  nxrc                !:
+    INTEGER(iwp) ::  nxrf                !:
+    INTEGER(iwp) ::  nxrpr               !:
+    INTEGER(iwp) ::  nxr_on_file         !:
+    INTEGER(iwp) ::  nync                !:
+    INTEGER(iwp) ::  nynf                !:
+    INTEGER(iwp) ::  nynpr               !:
+    INTEGER(iwp) ::  nyn_on_file         !:
+    INTEGER(iwp) ::  nysc                !:
+    INTEGER(iwp) ::  nysf                !:
+    INTEGER(iwp) ::  nyspr               !:
+    INTEGER(iwp) ::  nys_on_file         !:
+    INTEGER(iwp) ::  nzb_on_file         !:
+    INTEGER(iwp) ::  nzt_on_file         !:
+    INTEGER(iwp) ::  offset_x            !:
+    INTEGER(iwp) ::  offset_y            !:
+    INTEGER(iwp) ::  shift_x             !:
+    INTEGER(iwp) ::  shift_y             !:
+
+    INTEGER(iwp), DIMENSION(numprocs_previous_run) ::  file_list       !:
+    INTEGER(iwp), DIMENSION(numprocs_previous_run) ::  overlap_count   !:
+
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nxlfa      !:
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nxrfa      !:
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nynfa      !:
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nysfa      !:
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  offset_xa  !:
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  offset_ya  !:
+
+    REAL(wp) ::  rdummy
+
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE     ::  tmp_2d     !:
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3d     !:
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3dwul  !:
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3dwun  !:
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3dwur  !:
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3dwus  !:
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3dwvl  !:
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3dwvn  !:
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3dwvr  !:
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3dwvs  !:
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3dwwl  !:
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3dwwn  !:
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3dwwr  !:
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE   ::  tmp_3dwws  !:
+
+    REAL(wp), DIMENSION(:,:,:,:), ALLOCATABLE ::  tmp_4d     !:
 
 
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 1319)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! ------------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -95,82 +101,4 @@
 ! +curvature_solution_effects
 !
-! 626 2010-12-10 13:04:12Z suehring 
-! idum replaced by cdum in read_parts_of_var_list
-!
-! 622 2010-12-10 08:08:13Z raasch
-! +collective_wait
-!
-! 600 2010-11-24 16:10:51Z raasch
-! +call_psolver_at_all_substeps, cfl_factor, cycle_mg, mg_cycles,
-! mg_switch_to_pe0_level, ngsrb, nsor, omega_sor, psolver,
-! rayleigh_damping_factor, rayleigh_damping_height, residual_limit
-! in routine skip_var_list (end of this file), variable ldum is replaced
-! by cdum(LEN=1), because otherwise read errors (too few data on file)
-! appear due to one of the additional parameters (cycle_mg) which are now
-! stored on the restart file
-!
-! 591 2010-10-28 06:35:52Z helmke
-! remove print command
-!
-! 587 2010-10-27 08:36:51Z helmke
-! +time_domask
-!
-! 580 2010-10-05 13:59:11Z heinze
-! Renaming of ws_vertical_gradient to subs_vertical_gradient,
-! ws_vertical_gradient_level to subs_vertical_gradient_level and
-! ws_vertical_gradient_level_ind to subs_vertical_gradient_level_i
-!
-! 411 2009-12-11 14:15:58Z heinze
-! +large_scale_subsidence, ws_vertical_gradient, ws_vertical_gradient_level,
-! ws_vertical_gradient_level_ind
-!
-! 345 2009-07-01 14:37:56Z heinze
-! +output_for_t0 
-! dt_fixed is read into a dummy variable.
-! Output of messages replaced by message handling routine.
-! +canyon_height, canyon_width_x, canyon_width_y, canyon_wall_left, 
-! canyon_wall_south, conserve_volume_flow_mode, coupling_start_time,
-! dp_external, dp_level_b, dp_smooth, dpdxy, run_coupled,
-! time_since_reference_point, topography_grid_convention, u_bulk, v_bulk
-!
-! 216 2008-11-25 07:12:43Z raasch
-! limitations for nx_on_file, ny_on_file removed (read_parts_of_var_list)
-!
-! 173 2008-05-23 20:39:38Z raasch
-! +cthf, leaf_surface_concentration, scalar_exchange_coefficient
-! +numprocs_previous_run, hor_index_bounds_previous_run, inflow_damping_factor,
-! inflow_damping_height, inflow_damping_width, mean_inflow_profiles,
-! recycling_width, turbulent_inflow,
-! -cross_ts_*, npex, npey,
-! hom_sum, volume_flow_area, volume_flow_initial moved from
-! read_3d_binary to here,
-! routines read_parts_of_var_list and skip_var_list added at the end
-!
-! 138 2007-11-28 10:03:58Z letzel
-! +canopy_mode, drag_coefficient, lad, lad_surface, lad_vertical_gradient, 
-! lad_vertical_gradient_level, lad_vertical_gradient_level_ind, pch_index,
-! plant_canopy, time_sort_particles
-!
-! 102 2007-07-27 09:09:17Z raasch
-! +time_coupling, top_momentumflux_u|v
-!
-! 95 2007-06-02 16:48:38Z raasch
-! +bc_sa_t, ocean, sa_init, sa_surface, sa_vertical_gradient,
-! sa_vertical_gradient_level, bottom/top_salinity_flux
-!
-! 87 2007-05-22 15:46:47Z raasch
-! +max_pr_user (version 3.1), var_hom renamed pr_palm
-!
-! 75 2007-03-22 09:54:05Z raasch
-! +loop_optimization, pt_reference, moisture renamed humidity
-!
-! 20 2007-02-26 00:12:32Z raasch
-! +top_heatflux, use_top_fluxes
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.34  2006/08/22 14:14:27  raasch
-! +dz_max
-!
 ! Revision 1.1  1998/03/18 20:18:48  raasch
 ! Initial revision
@@ -182,16 +110,33 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
-    USE averaging
-    USE cloud_parameters
+    USE arrays_3d,                                                             &
+        ONLY:  inflow_damping_factor, lad, mean_inflow_profiles, pt_init,      &
+               q_init, ref_state, sa_init, u_init, ug, v_init, vg
+
+    USE cloud_parameters,                                                      &
+        ONLY:  c_sedimentation, curvature_solution_effects,                    &
+               limiter_sedimentation, nc_const, ventilation_effect
+
     USE control_parameters
-    USE grid_variables
-    USE indices
-    USE model_1d
+
+    USE grid_variables,                                                        &
+        ONLY:  dx, dy
+
+    USE indices,                                                               &
+        ONLY:  nz, nx, nx_on_file, ny, ny_on_file
+
+    USE model_1d,                                                              &
+        ONLY:  damp_level_1d, dt_pr_1d, dt_run_control_1d, end_time_1d
+
     USE netcdf_control
-    USE particle_attributes
+
+    USE particle_attributes,                                                   &
+        ONLY:  time_sort_particles
+
     USE pegrid
-    USE profil_parameter
-    USE statistics
+
+    USE statistics,                                                            &
+        ONLY:  statistic_regions, hom, hom_sum, pr_palm, u_max, u_max_ijk,     &
+               v_max, v_max_ijk, w_max, w_max_ijk
 
     IMPLICIT NONE
@@ -779,9 +724,20 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
+    USE arrays_3d,                                                             &
+        ONLY:  inflow_damping_factor, lad, mean_inflow_profiles, pt_init,      &
+               q_init, ref_state, sa_init, u_init, ug, v_init, vg
+
     USE control_parameters
-    USE indices
+
+    USE indices,                                                               &
+        ONLY:  nz, nx, nx_on_file, ny, ny_on_file
+
+    USE kinds
+
     USE pegrid
-    USE statistics
+
+    USE statistics,                                                            &
+        ONLY:  statistic_regions, hom, hom_sum, pr_palm, u_max, u_max_ijk,     &
+               v_max, v_max_ijk, w_max, w_max_ijk
 
     IMPLICIT NONE
@@ -791,9 +747,12 @@
     CHARACTER (LEN=1)  ::  cdum
 
-    INTEGER ::  max_pr_user_on_file, nz_on_file, &
-                statistic_regions_on_file, tmp_mpru, tmp_sr
-
-    REAL, DIMENSION(:,:,:),   ALLOCATABLE ::  hom_sum_on_file
-    REAL, DIMENSION(:,:,:,:), ALLOCATABLE ::  hom_on_file
+    INTEGER(iwp) ::  max_pr_user_on_file
+    INTEGER(iwp) ::  nz_on_file
+    INTEGER(iwp) ::  statistic_regions_on_file
+    INTEGER(iwp) ::  tmp_mpru
+    INTEGER(iwp) ::  tmp_sr
+
+    REAL(wp), DIMENSION(:,:,:),   ALLOCATABLE ::  hom_sum_on_file
+    REAL(wp), DIMENSION(:,:,:,:), ALLOCATABLE ::  hom_on_file
 
 
Index: /palm/trunk/SOURCE/run_control.f90
===================================================================
--- /palm/trunk/SOURCE/run_control.f90	(revision 1319)
+++ /palm/trunk/SOURCE/run_control.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -38,19 +44,4 @@
 ! all actions concerning leapfrog scheme removed
 !
-! 97 2007-06-21 08:23:15Z raasch
-! Timestep and z_i format changed
-!
-! 87 2007-05-22 15:46:47Z raasch
-! var_hom renamed pr_palm
-!
-! 82 2007-04-16 15:40:52Z raasch
-! Preprocessor strings for different linux clusters changed to "lc",
-! routine local_flush is used for buffer flushing
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.20  2006/06/02 15:23:47  raasch
-! cpp-directives extended for lctit
-!
 ! Revision 1.1  1997/08/11 06:25:38  raasch
 ! Initial revision
@@ -62,9 +53,21 @@
 !------------------------------------------------------------------------------!
 
-    USE cpulog
-    USE indices
+    USE cpulog,                                                                &
+        ONLY:  cpu_log, log_point
+
+    USE control_parameters,                                                    &
+        ONLY:  advected_distance_x, advected_distance_y,                       &
+               current_timestep_number, disturbance_created, dt_3d, mgcycles,  &
+               run_control_header, runnr, simulated_time, simulated_time_chr,  &
+               timestep_reason
+
+    USE indices,                                                               &
+        ONLY:  nzb
+
     USE pegrid
-    USE statistics
-    USE control_parameters
+
+    USE statistics,                                                            &
+        ONLY:  flow_statistics_called, hom, pr_palm, u_max, u_max_ijk, v_max,  &
+               v_max_ijk, w_max, w_max_ijk
 
     IMPLICIT NONE
Index: /palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90	(revision 1319)
+++ /palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -39,11 +45,18 @@
 #if defined( __dvrp_graphics )
 
-    USE control_parameters
-    USE dvrp_variables
+    USE dvrp_variables,                                                        &
+        ONLY:  dvrp_colortable_entries, interval_h_dvrp, interval_values_dvrp, &
+               slicer_range_limits_dvrp
+
+    USE kinds
 
     IMPLICIT NONE
 
-    INTEGER ::  j, n_slicer
-    REAL    ::  maxv, meav, minv
+    INTEGER(iwp) ::  j         !:
+    INTEGER(iwp) ::  n_slicer  !:
+
+    REAL(wp)     ::  maxv      !:
+    REAL(wp)     ::  meav      !:
+    REAL(wp)     ::  minv      !:
 
 
